Scilab Function

scaling - transformation affine d'un ensemble de points

### Calling Sequence

  `xy1=scaling(xy,factor,[orig])`

### Parameters

- `xy1` : matrice de taille (2,.).
- `xy` : matrice de taille (2,.).
- `factor` : réel, coefficient de la transformation linéaire
- `orig` : vecteur de décalage; [0;0] par défaut.

### Description

`scaling` applique une transformation affine sur les points définis par les coordonnées `xy` :

`xy1(:,i) = factor * xy(:,i) + orig` .